Subject: Re: bug#17293: 24.4.50; C-g often fails in minibuffer under X

From: Stefan Monnier <[email-masked]>
Date: Thu, 24 Apr 2014 16:05:31 -0400

> often, if I have a minibuffer completion  up, hitting C-g does
> not dismiss the minibuffer, I actually have to switch away from

If you're in the minibuffer, then C-g should normally dismiss the
minibuffer, yes.  Of course, we have the problem that C-g only does that
if it runs keyboard-quit (i.e. if Emacs was idle), and not if it signals
"quit" (i.e. Emacs was busy with something).

So apparently, there's been more cases where Emacs is "busy" (probably
just waiting in a sit-for or something).  So to fix this, we need to
figure out what that C-g interrupts.

        Stefan